openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/DD_GET_CURRENCIES:
    post:
      tags:
      - RFC2
      operationId: /rfc/DD_GET_CURRENCIES
      requestBody:
        content:
          application/json:
            schema:
              properties:
                LANGUAGE:
                  type: string
                  default: SY-LANGU
                  maxLength: 1
                CURRENCIES:
                  type: array
                  items:
                    type: object
                    properties:
                      MANDT:
                        type: string
                        maxLength: 3
                        description: Client
                      SPRAS:
                        type: string
                        maxLength: 1
                        description: Language Key
                      WAERS:
                        type: string
                        maxLength: 5
                        description: Currency Key
                      LTEXT:
                        type: string
                        maxLength: 40
                        description: Long Text
                      KTEXT:
                        type: string
                        maxLength: 15
                        description: Short text
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  CURRENCIES:
                    type: array
                    items:
                      type: object
                      properties:
                        MANDT:
                          type: string
                          maxLength: 3
                          description: Client
                        SPRAS:
                          type: string
                          maxLength: 1
                          description: Language Key
                        WAERS:
                          type: string
                          maxLength: 5
                          description: Currency Key
                        LTEXT:
                          type: string
                          maxLength: 40
                          description: Long Text
                        KTEXT:
                          type: string
                          maxLength: 15
                          description: Short text
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
